package com.fjhx.customer.controller.xiaoman;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.xiaoman.vo.XiaomanCustomerVo;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanCustomerSelectDto;
import com.fjhx.customer.entity.xiaoman.dto.XiaomanCustomerDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.customer.service.xiaoman.XiaomanCustomerService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.concurrent.atomic.AtomicBoolean;

/**
 * <p>
 * 小满客户表 前端控制器
 * </p>
 *
 * @author lqh
 * @since 2024-04-06
 */
@RestController
@RequestMapping("/xiaomanCustomer")
public class XiaomanCustomerController {




    @Autowired
    private XiaomanCustomerService xiaomanCustomerService;

    /**
     * 小满客户表列表
     */
    @PostMapping("/list")
    public List<XiaomanCustomerVo> list(@RequestBody XiaomanCustomerSelectDto dto) {
        return xiaomanCustomerService.getList(dto);
    }

    /**
     * 小满客户表分页
     */
    @PostMapping("/page")
    public Page<XiaomanCustomerVo> page(@RequestBody XiaomanCustomerSelectDto dto) {
        return xiaomanCustomerService.getPage(dto);
    }

    /**
     * 小满客户表明细
     */
    @PostMapping("/detail")
    public XiaomanCustomerVo detail(@RequestBody BaseSelectDto dto) {
        return xiaomanCustomerService.detail(dto.getId());
    }

    /**
     * 小满客户表新增
     */
    @PostMapping("/add")
    public void add(@RequestBody XiaomanCustomerDto xiaomanCustomerDto) {
        xiaomanCustomerService.add(xiaomanCustomerDto);
    }

    /**
     * 小满客户表编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody XiaomanCustomerDto xiaomanCustomerDto) {
        xiaomanCustomerService.edit(xiaomanCustomerDto);
    }

    /**
     * 小满客户表删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        xiaomanCustomerService.delete(dto.getId());
    }



//    private static final AtomicBoolean isRunning = new AtomicBoolean(false);
//    /**
//     * 匹配小满客户数据
//     * @param xiaomanCustomerDto
//     */
//    @PostMapping("/aatchingData")
//    public synchronized void aatchingData(@RequestBody XiaomanCustomerDto xiaomanCustomerDto) {
//        // 检查是否已有线程在执行此方法
//        if (isRunning.compareAndSet(false, true)) {
//            try {
//                xiaomanCustomerService.add(xiaomanCustomerDto);
//            } finally {
//                // 在方法执行完毕后设置 isRunning 为 false
//                isRunning.set(false);
//            }
//        } else {
//            throw new IllegalStateException("Another request is currently being processed. Please try again later.");
//        }
//    }
}
