package com.fjhx.customer.entity.xiaoman.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.ruoyi.common.core.domain.BaseIdPo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 小满客户表
 * </p>
 *
 * @author lqh
 * @since 2024-04-06
 */
@Getter
@Setter
@TableName("xiaoman_customer")
public class XiaomanCustomer {

    /**
     * 公司客户ID
     */
    @JsonProperty("company_id")
    @TableId(value = "company_id", type = IdType.ASSIGN_ID)
    private Long companyId;

    /**
     * 小满用户ID
     */
    @JsonProperty("user_id")
    private String userId;

    /**
     * 公司名称
     */

    @JsonProperty("name")
    private String name;

    /**
     * 公司简称
     */

    @JsonProperty("short_name")
    private String shortName;

    /**
     * 公司编号
     */
    @JsonProperty("serial_id")
    private Integer serialId;

    /**
     * 最近更新时间
     */
    @JsonProperty("order_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "Asia/Shanghai")
    private Date orderTime;

    /**
     * 公司建档时间
     */
    @JsonProperty("create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "Asia/Shanghai")
    private Date createTime;

    /**
     * 公司更新时间
     */
    @JsonProperty("update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "Asia/Shanghai")
    private Date updateTime;

    /**
     * 存档类型
     */
    @JsonProperty("archive_type")
    private String archiveType;

    /**
     * 公司修改时间
     */
    @JsonProperty("edit_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" ,timezone = "Asia/Shanghai")
    private Date editTime;

    /**
     * 客户表客户Id
     */
    private Long customerId;

}
